Bug 51074 - Problems loading nn_NO locale in X-application
Problems loading nn_NO locale in X-application
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-06 21:30 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 16:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-06 21:30:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
When setting LC_ALL=nn_NO (which is what the installer sets it to when
choosing Norwegian Nynorsk), the locale for the applications is being set to C.

How reproducible:
Always

Steps to Reproduce:
1.set LC_ALL=nn_NO
2. start for example gnumeric or a another application with a valid locale
file for nn.
3. 
	

Actual Results:  Error message: Gdk-WARNING **: locale not supported by
Xlib, locale set to C


Setting the locale to no_NO gives the correct locale for the other form of
norwegian.

Expected Results:  The application should load the proper locale-files.

Additional info:

The problem also showed up with redhat 7.1 and XFree 4
Comment 1 Glen Foster 2001-08-07 16:09:02 EDT
We (Red Hat) should really try to fix this before next release.
Comment 2 Mike A. Harris 2001-08-09 17:14:36 EDT
nn_NO support now added to XFree86 4.1.0-0.9.12 build.
Will appear in future rawhide release whenever it is pushed.

Note You need to log in before you can comment on or make changes to this bug.